## haskell-what4 1.3

=== debian/changelog ===
haskell-what4 (1.3-4build1) lunar; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Dec 2022 16:55:23 +0100

haskell-what4 (1.3-4) unstable; urgency=medium

  * Disable expr-builder-smtlib2 test also on non-x86_64

 -- Scott Talbert <swt@techie.net>  Tue, 11 Oct 2022 20:08:49 -0400

haskell-what4 (1.3-3) unstable; urgency=medium

  * Disable template tests on non-x86_64 to fix FTBFS

 -- Scott Talbert <swt@techie.net>  Sun, 09 Oct 2022 20:29:55 -0400

haskell-what4 (1.3-2) unstable; urgency=medium

  * Post-NEW source-only upload

 -- Scott Talbert <swt@techie.net>  Thu, 18 Aug 2022 15:42:58 -0400

haskell-what4 (1.3-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Tue, 16 Aug 2022 10:01:36 -0400
