## haskell-what4 1.5.1

=== debian/changelog ===
haskell-what4 (1.5.1-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Sourceful upload for GHC 9.6

 -- Scott Talbert <swt@techie.net>  Mon, 07 Oct 2024 23:20:41 -0400

haskell-what4 (1.5.1-3) unstable; urgency=medium

  * Disable tests (Closes: #1054704)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 04 Nov 2023 13:41:56 +0200

haskell-what4 (1.5.1-2) unstable; urgency=medium

  * Build-Depend on both cvc4 and cvc5 for testsuite.
  * Disable tests requiring Yices.

 -- Clint Adams <clint@debian.org>  Wed, 25 Oct 2023 11:22:09 -0400

haskell-what4 (1.5.1-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 24 Oct 2023 14:27:12 -0400
