=== debian/rules ===
#!/usr/bin/make -f

# Tests for CVC4 fail on Debian, because the cvc4 binary in Debian is
# compiled without symfpu support.
# https://github.com/GaloisInc/what4-solvers/issues/23
DEB_ENABLE_TESTS = no

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/haskell-what4-utils:: build-ghc-stamp

check-ghc-stamp: export LC_ALL := C.UTF-8
