## haskell-what4 1.6.3

=== debian/changelog ===
haskell-what4 (1.6.3-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Wed, 11 Feb 2026 18:17:04 -0500
