=== debian/control ===
Source: haskell-what4
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Build-Depends: debhelper-compat (= 13),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 dh-sequence-haskell,
 ghc (>= 9.10),
 ghc-prof,
 libghc-boundedchan-dev (>= 1),
 libghc-boundedchan-dev (<< 2),
 libghc-boundedchan-prof,
 libghc-async-dev,
 libghc-async-prof,
 libghc-attoparsec-dev (>= 0.13),
 libghc-attoparsec-prof,
 libghc-bifunctors-dev (>= 5),
 libghc-bifunctors-prof,
 libghc-bimap-dev (>= 0.2),
 libghc-bimap-prof,
 libghc-bv-sized-dev (>= 1.0.0),
 libghc-bv-sized-prof,
 libghc-concurrent-extra-dev (>= 0.7),
 libghc-concurrent-extra-dev (<< 0.8),
 libghc-concurrent-extra-prof,
 libghc-config-value-dev (>= 0.8),
 libghc-config-value-dev (<< 0.9),
 libghc-config-value-prof,
 libghc-deriving-compat-dev (>= 0.5),
 libghc-deriving-compat-prof,
 libghc-fingertree-dev (>= 0.1.4),
 libghc-fingertree-prof,
 libghc-hashable-dev (>= 1.3),
 libghc-hashable-prof,
 libghc-hashtables-dev (>= 1.2.3),
 libghc-hashtables-prof,
 libghc-hedgehog-dev (>= 1.0.2),
 libghc-hedgehog-prof,
 libghc-io-streams-dev (>= 1.5),
 libghc-io-streams-prof,
 libghc-lens-dev (>= 4.18),
 libghc-lens-prof,
 libghc-lumberjack-dev,
 libghc-lumberjack-prof,
 libghc-libbf-dev (>= 0.6),
 libghc-libbf-dev (<< 0.7),
 libghc-libbf-prof,
 libghc-megaparsec-dev (>= 8),
 libghc-megaparsec-dev (<< 10),
 libghc-megaparsec-prof,
 libghc-ordered-containers-dev (>= 0.2),
 libghc-ordered-containers-dev (<< 0.3),
 libghc-ordered-containers-prof,
 libghc-panic-dev (>= 0.3),
 libghc-panic-prof,
 libghc-parameterized-utils-dev (>= 2.1),
 libghc-parameterized-utils-dev (<< 2.2),
 libghc-parameterized-utils-prof,
 libghc-prettyprinter-dev (>= 1.7.0),
 libghc-prettyprinter-prof,
 libghc-s-cargot-dev (>= 0.1),
 libghc-s-cargot-dev (<< 0.2),
 libghc-s-cargot-prof,
 libghc-scientific-dev (>= 0.3.6),
 libghc-scientific-prof,
 libghc-tasty-dev (>= 0.10),
 libghc-tasty-prof,
 libghc-tasty-checklist-dev (>= 1.0.3),
 libghc-tasty-checklist-dev (<< 1.1),
 libghc-tasty-checklist-prof,
 libghc-tasty-expected-failure-dev (>= 0.12),
 libghc-tasty-expected-failure-dev (<< 0.13),
 libghc-tasty-expected-failure-prof,
 libghc-tasty-hedgehog-dev (>= 1.2),
 libghc-tasty-hedgehog-prof,
 libghc-tasty-hunit-dev (>= 0.9),
 libghc-tasty-hunit-prof,
 libghc-tasty-quickcheck-dev (>= 0.10),
 libghc-tasty-quickcheck-prof,
 libghc-temporary-dev (>= 1.2),
 libghc-temporary-prof,
 libghc-th-lift-dev (>= 0.8.2),
 libghc-th-lift-dev (<< 0.9),
 libghc-th-lift-prof,
 libghc-th-lift-instances-dev (>= 0.1),
 libghc-th-lift-instances-dev (<< 0.2),
 libghc-th-lift-instances-prof,
 libghc-unliftio-dev (>= 0.2),
 libghc-unliftio-dev (<< 0.3),
 libghc-unliftio-prof,
 libghc-unordered-containers-dev (>= 0.2.10),
 libghc-unordered-containers-prof,
 libghc-utf8-string-dev (>= 1.0.1),
 libghc-utf8-string-prof,
 libghc-vector-dev (>= 0.12.1),
 libghc-vector-prof,
 libghc-versions-dev (>= 6.0.2),
 libghc-versions-dev (<< 6.1),
 libghc-versions-prof,
 libghc-zenc-dev (>= 0.1.0),
 libghc-zenc-dev (<< 0.2.0),
 libghc-zenc-prof,
Build-Depends-Indep: ghc-doc,
 libghc-boundedchan-doc,
 libghc-async-doc,
 libghc-attoparsec-doc,
 libghc-bifunctors-doc,
 libghc-bimap-doc,
 libghc-bv-sized-doc,
 libghc-concurrent-extra-doc,
 libghc-config-value-doc,
 libghc-deriving-compat-doc,
 libghc-fingertree-doc,
 libghc-hashable-doc,
 libghc-hashtables-doc,
 libghc-hedgehog-doc,
 libghc-io-streams-doc,
 libghc-lens-doc,
 libghc-libbf-doc,
 libghc-megaparsec-doc,
 libghc-ordered-containers-doc,
 libghc-panic-doc,
 libghc-parameterized-utils-doc,
 libghc-prettyprinter-doc,
 libghc-s-cargot-doc,
 libghc-scientific-doc,
 libghc-tasty-doc,
 libghc-tasty-checklist-doc,
 libghc-tasty-expected-failure-doc,
 libghc-tasty-hedgehog-doc,
 libghc-tasty-hunit-doc,
 libghc-tasty-quickcheck-doc,
 libghc-temporary-doc,
 libghc-th-lift-doc,
 libghc-th-lift-instances-doc,
 libghc-unliftio-doc,
 libghc-unordered-containers-doc,
 libghc-utf8-string-doc,
 libghc-vector-doc,
 libghc-versions-doc,
 libghc-zenc-doc,
Standards-Version: 4.7.3
Homepage: https://github.com/GaloisInc/what4
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-what4
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-what4]
X-Description: Solver-agnostic symbolic values support for issuing queries
 What4 is a generic library for representing values as symbolic formulae which
 may contain references to symbolic values, representing unknown variables.
 It provides support for communicating with a variety of SAT and SMT solvers,
 including Z3, CVC4, CVC5, Yices, Boolector, STP, and dReal.
 The data representation types make heavy use of GADT-style type indices
 to ensure type-correct manipulation of symbolic values.

Package: libghc-what4-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-what4-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-what4-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: haskell-what4-utils
Architecture: any
Section: misc
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
