=== debian/rules ===
#!/usr/bin/make -f

# Tests for CVC4 fail on Debian, because the cvc4 binary in Debian is
# compiled without symfpu support.
# https://github.com/GaloisInc/what4-solvers/issues/23
export DEB_ENABLE_TESTS = no

%:
	dh $@
